algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Coalgebra.Hyperbolic

# Documentation

class Hyperbolic r where Source

Methods

cosh :: rSource

sinh :: rSource

Instances

Hyperbolic HyperBasis' |
Hyperbolic HyperBasis |
Rig r => Hyperbolic (Hyper' r) |
Rig r => Hyperbolic (Hyper r) |
Rig r => Hyperbolic (HyperBasis' -> r) |
Rig r => Hyperbolic (HyperBasis -> r) |
Hyperbolic a => Hyperbolic (Covector r a) |

data HyperBasis Source

Constructors

Cosh |
Sinh |

Instances

Bounded HyperBasis |
Enum HyperBasis |
Eq HyperBasis |
Data HyperBasis |
Ord HyperBasis |
Read HyperBasis |
Show HyperBasis |
Ix HyperBasis |
Typeable HyperBasis |
HasTrie HyperBasis |
Hyperbolic HyperBasis |
MonadReader HyperBasis Hyper |
(Commutative k, Semiring k) => Coalgebra k HyperBasis | the hyperbolic trigonometric coalgebra
Semiring k => Algebra k HyperBasis | the trivial diagonal algebra
(Commutative k, Semiring k) => Bialgebra k HyperBasis |
(Commutative k, Semiring k) => CounitalCoalgebra k HyperBasis |
Semiring k => UnitalAlgebra k HyperBasis |
(Commutative k, Group k, InvolutiveSemiring k) => HopfAlgebra k HyperBasis |
(Commutative k, Group k, InvolutiveSemiring k) => InvolutiveCoalgebra k HyperBasis |
(Commutative k, Group k, InvolutiveSemiring k) => InvolutiveAlgebra k HyperBasis |
Rig r => Hyperbolic (HyperBasis -> r) |

data Hyper a Source

Constructors

Hyper a a |

Instances

Monad Hyper |
Functor Hyper |
Typeable1 Hyper |
Applicative Hyper |
Foldable Hyper |
Traversable Hyper |
Distributive Hyper |
Keyed Hyper |
Zip Hyper |
ZipWithKey Hyper |
Indexable Hyper |
Lookup Hyper |
Adjustable Hyper |
FoldableWithKey Hyper |
FoldableWithKey1 Hyper |
TraversableWithKey Hyper |
TraversableWithKey1 Hyper |
Representable Hyper |
Traversable1 Hyper |
Foldable1 Hyper |
Apply Hyper |
Bind Hyper |
MonadReader HyperBasis Hyper |
RightModule r s => RightModule r (Hyper s) |
LeftModule r s => LeftModule r (Hyper s) |
Eq a => Eq (Hyper a) |
Data a => Data (Hyper a) |
Read a => Read (Hyper a) |
Show a => Show (Hyper a) |
Idempotent r => Idempotent (Hyper r) |
Abelian r => Abelian (Hyper r) |
Partitionable r => Partitionable (Hyper r) |
Additive r => Additive (Hyper r) |
Monoidal r => Monoidal (Hyper r) |
(Commutative k, Semiring k) => Semiring (Hyper k) |
(Commutative k, Semiring k) => Multiplicative (Hyper k) |
Group r => Group (Hyper r) |
(Commutative k, Rig k) => Unital (Hyper k) |
(Commutative r, Rig r) => Rig (Hyper r) |
(Commutative r, Ring r) => Ring (Hyper r) |
(Commutative k, Semiring k) => Commutative (Hyper k) |
(Commutative r, Group r, InvolutiveSemiring r) => InvolutiveSemiring (Hyper r) |
(Commutative r, Group r, InvolutiveSemiring r) => InvolutiveMultiplication (Hyper r) |
Rig r => Hyperbolic (Hyper r) |
(Commutative r, Semiring r) => RightModule (Hyper r) (Hyper r) |
(Commutative r, Semiring r) => LeftModule (Hyper r) (Hyper r) |